org.eclipse.emf.cdo.eresource.impl

## Class CDOResourceNodeImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
        - - org.eclipse.emf.internal.cdo.CDOObjectImpl
          - - org.eclipse.emf.cdo.eresource.impl.CDOResourceNodeImpl

- All Implemented Interfaces:
    CDOObject, CDOWithID, CDOPackageTypeRegistry.CDOObjectMarker, CDOResourceNode, Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, InternalCDOLoadable, InternalCDOObject
  Direct Known Subclasses:
    CDOResourceFolderImpl, CDOResourceLeafImpl

      public abstract class CDOResourceNodeImpl
      extends CDOObjectImpl
      implements CDOResourceNode

  An implementation of the model object 'CDO Resource Node'.
  Generated
  No Extend
    This interface is not intended to be extended by clients.

    The following features are implemented:

    - `Folder`
    - `Name`
    - `Path`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `ROOT_NAME, ROOT_PATH`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CDOResourceNodeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `basicSetFolder(CDOResourceFolder newFolder, boolean checkDuplicates)`
    `void` | `basicSetName(java.lang.String newName, boolean checkDuplicates)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `protected EClass` | `eStaticClass()`
    `protected int` | `eStaticFeatureCount()`
    `java.lang.String` | `getExtension()`
    `CDOResourceFolder` | `getFolder()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getPath()`
    `URI` | `getURI()`
    `void` | `recacheURIs()`
    `void` | `setFolder(CDOResourceFolder newFolder)`
    `void` | `setFolderGen(CDOResourceFolder newFolder)`
    `void` | `setName(java.lang.String newName)`
    `void` | `setNameGen(java.lang.String newName)`
    `void` | `setPath(java.lang.String newPath)`
    `java.lang.String` | `toString()`
    `protected java.lang.String` | `toString(java.lang.String string)`
    `java.lang.String` | `trimExtension()`

    - ### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

      `cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

      `eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `delete, isRoot`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eUnset, eURIFragmentSegment`

- - ### Constructor Detail

    - #### CDOResourceNodeImpl

          protected CDOResourceNodeImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `BasicEObjectImpl`
      Generated

    - #### eStaticFeatureCount

          protected int eStaticFeatureCount()

      Overrides:
        `eStaticFeatureCount` in class `MinimalEStoreEObjectImpl`
      Generated

    - #### getFolder

          public CDOResourceFolder getFolder()

      Specified by:
        `getFolder` in interface `CDOResourceNode`
      Returns:
        the value of the 'Folder' container reference.
      See Also:
        `CDOResourceNode.setFolder(CDOResourceFolder)`, `EresourcePackage.getCDOResourceNode_Folder()`, `CDOResourceFolder.getNodes()`
      Generated

    - #### setFolderGen

          public void setFolderGen(CDOResourceFolder newFolder)

      Generated

    - #### setFolder

          public void setFolder(CDOResourceFolder newFolder)

      Specified by:
        `setFolder` in interface `CDOResourceNode`
      Parameters:
        `newFolder` - the new value of the 'Folder' container reference.
      See Also:
        `CDOResourceNode.getFolder()`
      Generated
        NOT

    - #### basicSetFolder

          public void basicSetFolder(CDOResourceFolder newFolder,
                                     boolean checkDuplicates)

      Added

    - #### recacheURIs

          public void recacheURIs()

      Since:
        4.5

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `CDOResourceNode`
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `CDOResourceNode.setName(String)`, `EresourcePackage.getCDOResourceNode_Name()`
      Generated

    - #### setNameGen

          public void setNameGen(java.lang.String newName)

      Generated

    - #### setName

          public void setName(java.lang.String newName)

      Specified by:
        `setName` in interface `CDOResourceNode`
      Parameters:
        `newName` - the new value of the 'Name' attribute.
      See Also:
        `CDOResourceNode.getName()`
      Generated
        NOT

    - #### basicSetName

          public void basicSetName(java.lang.String newName,
                                   boolean checkDuplicates)

      Added

    - #### getPath

          public java.lang.String getPath()

      Specified by:
        `getPath` in interface `CDOResourceNode`
      Returns:
        the value of the 'Path' attribute.
      See Also:
        `CDOResourceNode.setPath(String)`, `EresourcePackage.getCDOResourceNode_Path()`
      Generated
        NOT

    - #### setPath

          public void setPath(java.lang.String newPath)

      Specified by:
        `setPath` in interface `CDOResourceNode`
      Parameters:
        `newPath` - the new value of the 'Path' attribute.
      See Also:
        `CDOResourceNode.getPath()`
      Generated
        NOT

    - #### getExtension

          public java.lang.String getExtension()

      Specified by:
        `getExtension` in interface `CDOResourceNode`
      Since:
        4.4

    - #### trimExtension

          public java.lang.String trimExtension()

      Specified by:
        `trimExtension` in interface `CDOResourceNode`
      Since:
        4.4

    - #### getURI

          public URI getURI()

      Specified by:
        `getURI` in interface `CDOResourceNode`
      Added

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `BasicEObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `BasicEObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `CDOObjectImpl`

    - #### toString

          protected java.lang.String toString(java.lang.String string)

      Since:
        4.4

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html